Not the answer you need?
Register and ask your own question!

Percona server, mysql-libs and Net-SNMP

TCK-JimTCK-Jim EntrantLegacy User Role Beginner
Looking for a solution to getting Net-SNMP installed on a CentOS 7 server with Percoan-Server-server-5.6. When I try to install Net-SNMP I'm getting the following error:

yum install net-snmp -y

Resolving Dependencies
--> Running transaction check
---> Package net-snmp.x86_64 1:5.7.2-24.el7_2.1 will be installed
--> Processing Dependency: mysql-libs for package: 1:net-snmp-5.7.2-24.el7_2.1.x86_64
--> Running transaction check
---> Package mariadb-libs.x86_64 1:5.5.52-1.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

============================================================================================
Package Arch Version Repository Size
============================================================================================
Installing:
net-snmp x86_64 1:5.7.2-24.el7_2.1 CG_Centos_7_Centos_7 321 k
Installing for dependencies:
mariadb-libs x86_64 1:5.5.52-1.el7 CG_Centos_7_Centos_7 761 k

Transaction Summary
+============================================================================================
Install 1 Package (+1 Dependent package)

Total size: 1.1 M
Installed size: 5.3 M
Is this ok [y/d/N]: y
Downloading packages:
Running transaction check
Running transaction test


Transaction check error:
file /usr/lib64/mysql/plugin/dialog.so from install of mariadb-libs-1:5.5.52-1.el7.x86_64 conflicts with file from package Percona-Server-server-56-5.6.34-rel79.1.el6.x86_64

Error Summary

I've tried Percona-Server-shared-compat and Percona-Server-shared-compat-5.1 w/out success.


Thank you very much in advance for any assistance.
Sign In or Register to comment.

MySQL, InnoDB, MariaDB and MongoDB are trademarks of their respective owners.
Copyright ©2005 - 2020 Percona LLC. All rights reserved.